Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface INodePresentation

    com.change_vision.jude.api.inf.presentation.INodePresentation

All Superinterfaces:
  IEntity, IHyperlinkOwner, IPresentation

All Implemented Interfaces:
  IEntity, IHyperlinkOwner, IPresentation

    public INodePresentation

extends IPresentation

Interface for Node Presentation.

Method Summary
`abstract INodePresentation[]` | `getChildren()` Get array of Children.
`abstract double` | `getHeight()` Get Height.
`abstract ILinkPresentation[]` | `getLinks()` Get array of ILinkPresentation.
`abstract Point2D` | `getLocation()` Get Location.
`abstract INodePresentation` | `getParent()` Get Parent.
`abstract INodePresentation[]` | `getParents()` Get Parray of arents.
`abstract Rectangle2D` | `getRectangle()` Get Rectangle.
`abstract double` | `getWidth()` Get Width.
`abstract void` | `setHeight(double height)` Set Height.
`abstract void` | `setLocation(Point2D location)` Set Location.
`abstract void` | `setWidth(double width)` Set Width.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getDepth, getDiagram, getID, getLabel, getModel, getProperties, getProperty, getType, setLabel, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLocation

    abstract Point2D getLocation()

  Get Location.

  Returns:
    Location

### getWidth

    abstract double getWidth()

  Get Width.

  Returns:
    Width

### getHeight

    abstract double getHeight()

  Get Height.

  Returns:
    Height

### getParent

    abstract INodePresentation getParent()

  Get Parent.

  Returns:
    Parent

### getParents

    abstract INodePresentation[] getParents()

  Get Parray of arents.

  Returns:
    the array of parents. Return the empty array if there is none.

### getChildren

    abstract INodePresentation[] getChildren()

  Get array of Children.

  Returns:
    the array of children. Return the empty array if there is none.

### getRectangle

    abstract Rectangle2D getRectangle()

  Get Rectangle.

  Returns:
    Rectangle

### getLinks

    abstract ILinkPresentation[] getLinks()

  Get array of ILinkPresentation.

  Returns:
    the array of ILinkPresentation. Return the empty array if there is none. Edges may be returned when this is a topic.

### setLocation

    abstract void setLocation(Point2D location)

  Set Location.

  Parameters:
    `location` - Location
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setWidth

    abstract void setWidth(double width)

  Set Width.

  Parameters:
    `width` - The minimum of the width is the same as that of its diagram element.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setHeight

    abstract void setHeight(double height)

  Set Height.

  Parameters:
    `height` - Height The minimum of the height is the same as that of its diagram element.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD